function validarResultadoComparacion(resultado_m1c1, resultado_m1c2, resultado_m2c1, resultado_m2c2){
    
    $(".input-validado-error").removeClass("input-validado-error"); // Eliminar todas las clases de error

    if (resultado_m1c1.val() != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(resultado_m1c1.val())) {
        
        notificacion("normal", "warning", "Resultado incorrecto", "El valor del resultado debe ser un valor decimal");
        enfocarGestion(resultado_m1c1);
        return false;

    } else if(resultado_m1c2.val() != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(resultado_m1c2.val())) {
        
        notificacion("normal", "warning", "Resultado incorrecto", "El valor del resultado debe ser un valor decimal");
        enfocarGestion(resultado_m1c2);
        return false;
    } else if(resultado_m2c1.val() != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(resultado_m2c1.val())) {
        
        notificacion("normal", "warning", "Resultado incorrecto", "El valor del resultado debe ser un valor decimal");
        enfocarGestion(resultado_m2c1);
        return false;
    } else if(resultado_m2c2.val() != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(resultado_m2c2.val())) {
        
        notificacion("normal", "warning", "Resultado incorrecto", "El valor del resultado debe ser un valor decimal");
        enfocarGestion(resultado_m2c2);
        return false;
    } else {
        return true;
    }

}